diff mbox series

[{B,D,E,F}/master,2/2] UBUNTU: [Packaging] dkms -- dkms-build quieten wget verbiage

Message ID 20191101214822.76610-3-apw@canonical.com
State New
Headers show
Series None | expand

Commit Message

Andy Whitcroft Nov. 1, 2019, 9:48 p.m. UTC
wget tends to be excessivly chatty.  Request a less verbose output (-nv)
while retaining files downloaded or failure for the same.

BugLink: http://bugs.launchpad.net/bugs/1850958
Signed-off-by: Andy Whitcroft <apw@canonical.com>
---
 debian/scripts/dkms-build | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
diff mbox series

Patch

diff --git a/debian/scripts/dkms-build b/debian/scripts/dkms-build
index 3c3c28f75c43..1e5dbcc0f9bb 100755
--- a/debian/scripts/dkms-build
+++ b/debian/scripts/dkms-build
@@ -53,7 +53,7 @@  do
 		case "$package_path" in
 		pool/*)
 			# Attempt download from the launchpad librarian first.
-			wget "https://launchpad.net/ubuntu/+archive/primary/+files/$package_file" || true
+			wget -nv "https://launchpad.net/ubuntu/+archive/primary/+files/$package_file" || true
 			if package_present "$lpackage"; then
 				break
 			fi
@@ -73,14 +73,14 @@  do
 					break
 				fi
 				url="$pool/$package_path"
-				wget "$url" && break || true
+				wget -nv "$url" && break || true
 				# No components in PPAs.
 				url=$(echo "$url" | sed -e 's@/pool/[^/]*/@/pool/main/@')
-				wget "$url" && break || true
+				wget -nv "$url" && break || true
 			done
 			;;
 		http*:*)
-			wget "$package_path"
+			wget -nv "$package_path"
 			;;
 		*/*)
 			cp -p "$package_path" .